# Standard_Boolean.hxx File Reference

`#include <Standard_TypeDef.hxx>`

## Functions

__Standard_API Handle_Standard_Type & | Standard_Boolean_Type_ ()
__Standard_API Standard_Boolean | ShallowCopy (const Standard_Boolean)
__Standard_API Standard_Integer | HashCode (const Standard_Boolean, const Standard_Integer)
Standard_Boolean | IsEqual (const Standard_Boolean One, const Standard_Boolean Two)
Standard_Boolean | IsSimilar (const Standard_Boolean One, const Standard_Boolean Two)

## Function Documentation

__Standard_API Standard_Integer HashCode | ( | const | Standard_Boolean,
|  | const | Standard_Integer
| ) |

Standard_Boolean IsEqual | ( | const Standard_Boolean | One,
|  | const Standard_Boolean | Two
| ) | `[inline]`

Standard_Boolean IsSimilar | ( | const Standard_Boolean | One,
|  | const Standard_Boolean | Two
| ) | `[inline]`

__Standard_API Standard_Boolean ShallowCopy | ( | const | Standard_Boolean | ) |

class __Standard_API Handle_Standard_Type& Standard_Boolean_Type_ | ( |  | ) |